## electric 8.10

=== Makefile ===
# 
# A Makefile for Electric, because the build.xml is a tangled,
# convoluted mess.
#

#jars    = $(shell find packaging -name \*.jar  | tr ' \n' '::')
jars    = ../packaging/bsh-2.0b4.jar:../packaging/junit-4.5.jar:../packaging/jython.jar:../packaging/prefuse.jar:../packaging/AppleJavaExtensions.jar
javas   = $(shell find .         -name \*.java | grep -v com/sun/electric/plugins/JMF)
classes = $(javas:%.java=build/%.class)
junk    = $(shell find com -not -name \*.java -not -name \*.html -not -type d | grep -v manualRussian | grep -v helphtml)

electric.jar: $(javas) Makefile
	mkdir -p build
	@echo javac -J-Xmx900m -d build -cp $(jars) -source 1.5 -target 1.5 ...
	@javac -J-Xmx900m -d build -cp $(jars) -source 1.5 -target 1.5 $(javas)
	cd build; fastjar xvf ../../packaging/bsh-2.0b4.jar; rm -rf META-INF
	echo 'Main-Class: com.sun.electric.Main' > manifest
	fastjar cmf manifest $@ $(junk) -C build .
	rm -f manifest

clean:
	rm -rf electric.jar build

javadoc:
	rm -rf ../../electric-apidoc/
	mkdir ../../electric-apidoc/
	javadoc -J-Xmx400m -d ../../electric-apidoc/ `find . -name \*.java`
	open ../../electric-apidoc/index.html

=== debian/changelog ===
electric (8.10-2) unstable; urgency=low

  * Team upload
  * Switch to default-jdk.
  * Switch to source format 3.0.
  * Switch to debhelper level 7.

 -- Torsten Werner <twerner@debian.org>  Mon, 12 Sep 2011 21:59:35 +0200

electric (8.10-1) unstable; urgency=low

  * New upstream version.
  * debian/control
    - Add libjava3d-java and quilt build dependencies.
    - Update standards version to 3.8.3.
    - Add libjava3d-java as recommends to binary package.
  * debian/rules
    - Use quilt patch system instead of simple patchsys.
    - Add java3d related jar files to DEB_JARS.
  * debian/patches/*
    - Update as per current upstream source. Convert to quilt.
  * debian/ant.properties
    - Do not disable 3D plugin anymore.
    - Use new property to disable compilation of OS X related classes.
  * debian/wrappers/electric
    - Add java3d related jar files to runtime classpath.
  * debian/README.source
    - Change text to the appropriate one for quilt.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 09 Jan 2010 16:26:04 +0530

electric (8.09-1) unstable; urgency=low

  * New upstream version.
  * debian/control
    - Add myself to uploaders.
    - Update standards version to 3.8.2. No change needed.
    - Add java-wrappers dependency.
  * debian/rules
    - Move get-orig-source logic to orig-tar.sh.
    - Remove unused variable VERSION.
  * debian/watch
    - Add orig-tar.sh action.
  * debian/patches/01_fix_build_xml.patch
    - Update for current version.
  * debian/orig-tar.sh
    - Add to use with uscan.
  * debian/wrappers/electric
    - Modify to use java-wrappers.
  * debian/install
    - Install the jar file to /usr/share/java instead of /usr/share/electric.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sun, 12 Jul 2009 15:52:29 +0530

electric (8.08-1) unstable; urgency=low

  * New upstream version.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 08 Jan 2009 02:05:08 +0530

electric (8.07-2) unstable; urgency=low

  * debian/control
    - Remove Sun JDK from build dependencies.
    - Add hard dependency on OpenJDK JRE as the program does not run with GCJ.
    - Remove default-jre from runtime dependencies. (Closes: #503780)
  * debian/rules
    - Remove Sun JDK home directories.
  * debian/wrappers/electric
    - Use java binary from OpenJDK so the program has no problems launching
      when more than one JRE are present. This is similar to how it is done
      for jftp.
  * debian/watch
    - Fix the uscan error.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 06 Nov 2008 00:12:17 +0530

electric (8.07-1) unstable; urgency=low

  * Merge with Ubuntu
  * Remaining Debian changes
    - debian/control
      * electric doesn't build with GCJ. Hence remove default-jdk from build
        depends.
      * Set 'Maintainer' to Debian Java Maintainers. Remove
        XSBC-Original-Maintainer field.
      * Add 'Uploaders' field.
      * Add Vcs-* fields
    - debian/copyright
      * Update copyright holders, GPL 2 -> GPL 3.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 11 Sep 2008 01:04:45 +0530
    

electric (8.07-0ubuntu1) intrepid; urgency=low

  * New Upstream version. Please check changelog for details. (LP: #242720)
  * debian/control
    - Add build dependencies *-jdk, cdbs and bsh.
    - Remove build dependency dpatch. We will be using CDBS simple patchsys.
    - Refreshed runtime dependencies to default-jre | java2-runtime and bsh.
    - Added home page field.
    - Standard version 3.8.0.
    - Modify Maintainer value to match the DebianMaintainerField
      specification.
    - Changed email address for original maintainer to indicate who has
      refreshed the packaging.
  * debian/rules
    - Revamped to use cdbs.
    - Added get-orig-source target.
  * debian/patches
    - 00list, 02_sensible-browser.dpatch, 01_errors-numbers.dpatch,
      03_manpage.dpatch - Deleted, not relevant anymore.
    - 01_fix_build_xml.patch - Patch to fix the build.xml.
  * debian/ant.properties
    - File to set various compilation properties.
  * debian/electric.1
    - Remove the entry that causes lintian warning.
  * debian/electric.desktop
    - Change as suggested by desktop-file-validate.
  * debian/electric.docs
    - Updated as per changes in file names.
  * debian/electric.svg
    - Name changed from electric_icon.svg.
  * debian/install
    - Added appropriate locations for jar file, desktop file and wrapper shell
      script.
  * debian/README.source
    - Added to comply with standards version 3.8.0.
  * debian/TODO.Debian
    - Name changed form TODO.
  * debain/wrapper/electric
    - Wrapper shell script to launch the application.
  * debian/manpages
    - Added for installation of manpage.
  * debian/watch
    - Updated to match jar files instead of older tar.gz files.
  * debian/dirs
    - Removed, not needed anymore.
  * debian/{electric.doc-base, electric.examples, substvars}
    - Removed, not relevant anymore.
  * debian/*.debhelper
    - Removed auto generated files. Not relevant anymore.

 -- Onkar Shinde <onkarshinde@gmail.com>  Wed, 23 Jul 2008 02:09:53 +0530

electric (6.05-4) unstable; urgency=low

  * QA upload
  * Use dpatch for patch management
  * debhelper compatibility level 6: use in debian/rules as package tree
    debian/electric instead of debian/tmp
  * debian/rules: do not ignore errors of make clean 
  * renamed debian/electric.copyright to debian/copyright, change "Authors(s)"
    to "Author".
  * renamed debian/electric/menu to debianmenu, changed menu section to
    Applications/Science/Engineering, quote strings.
  * src/vhdl/vhdlparser.c: fix bug concerning display of numbers in error
    messages. Patch contributed by Ian Jackson (thanks!) (Closes: Bug#156613).
  * src/graph/graphqt.cpp and src/graph/graphunixx11.c: call sensible-browser
    instad of netscape. Add dependency on www-browser (Closes: Bug#140058).
  * Add electric.desktop file contributed by Vassilis Pandis  (thanks!)
    (Closes: Bug#367242).


=== debian/control ===
Source: electric
Section: electronics
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: "Barak A. Pearlmutter" <bap@debian.org>, Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends: debhelper (>= 7), cdbs, ant
Build-Depends-Indep: default-jdk, bsh, libjava3d-java
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/electric
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/electric
Homepage: http://www.staticfreesoft.com/productsFree.html

Package: electric
Architecture: all
Depends: ${misc:Depends}, default-jre, bsh, java-wrappers
Recommends: libjava3d-java
Description: electrical CAD system
 Electric is a sophisticated electrical CAD system that can handle many forms
 of circuit design, including custom IC layout (ASICs), schematic drawing,
 hardware description language specifications, and electro-mechanical hybrid
 layout.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME			:= /usr/lib/jvm/default-java
DEB_JARS			:= bsh vecmath j3dcore j3dutils
DEB_INSTALL_CHANGELOGS_ALL	:= ChangeLog.txt


get-orig-source::
	uscan --verbose --download-version $(DEB_UPSTREAM_VERSION) --force-download

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3

http://ftp.gnu.org/pub/gnu/electric/electric-(.*)\.jar debian debian/orig-tar.sh

## electric 9.05+dfsg

=== debian/changelog ===
electric (9.05+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 9.05+dfsg.
  * Add signing-key.pgp and check for valid upstream tarballs with uscan's
    pgpsigurlmangle feature.
  * Move the package to Git.

 -- Markus Koschany <apo@gambaru.de>  Tue, 08 Jul 2014 21:54:23 +0200

electric (9.04+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 9.04. (Closes: #598445)
  * Declare compliance with Debian Policy 3.9.5.
  * Use compat level 9 and require debhelper >= 9.
  * debian/control:
    - Remove Onkar Shinde from Uploaders. He is apparently not active anymore.
    - Add myself to Uploaders.
    - Use canonical VCS fields.
    - New build-dependencies for plugins and additional features:
      + scala, jython, libslf4j-java.
    - Use ${java:Depends} substvar.
    - Remove recommendation for libjava3d-java. It is a dependency now.
    - Depend on default-jre | java7-runtime | java6-runtime.
  * electric.desktop: Add comment in German and Keywords.
  * Drop README.source since source format 3.0 uses quilt by default.
  * Drop TODO.Debian. Done.
  * Drop ant.properties files. Not needed.
  * Drop orig.tar.sh script and use the Files-Excluded mechanism.
  * Update menu file. Add longtitle and icon entry.
  * Add electric.xpm icon and install it to /usr/share/pixmaps.
  * wrap-and-sort -sa.
  * debian/patches:
    - Drop 01_fix_build_xml.patch. It is obsolete.
    - Add build.patch.
      + Search for jars in /usr/share/java.
      + Use UTF-8 for encoding.
      + Do not build MacOSX specific code.
  * Switch from cdbs to javahelper and dh sequencer.
  * Move icons to debian/icons subdirectory.
  * Rename wrappers directory to bin.
  * Improve watch file. Mangle version correctly.
  * electric.1: Update OPTIONS section for latest upstream release and remove
    FILES paragraph.

 -- Markus Koschany <apo@gambaru.de>  Sat, 05 Apr 2014 12:06:15 +0200

=== debian/control ===
Source: electric
Section: electronics
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Barak A. Pearlmutter <bap@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 ant,
 debhelper (>= 9),
 javahelper
Build-Depends-Indep:
 bsh,
 default-jdk,
 jython,
 libjava3d-java,
 libslf4j-java,
 scala
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/electric.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/electric.git
Homepage: http://www.staticfreesoft.com/productsFree.html

Package: electric
Architecture: all
Depends:
 default-jre | java7-runtime | java6-runtime,
 java-wrappers,
 ${java:Depends},
 ${misc:Depends}
Description: electrical CAD system
 Electric is a sophisticated electrical CAD system that can handle many forms
 of circuit design, including custom IC layout (ASICs), schematic drawing,
 hardware description language specifications, and electro-mechanical hybrid
 layout.

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/bsh.jar:/usr/share/java/j3dcore.jar:/usr/share/java/j3dutils.jar:/usr/share/java/vecmath.jar:/usr/share/java/slf4j-simple.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/jython.jar

%:
	dh $@ --parallel --with javahelper


get-orig-source::
	uscan --verbose --repack --force-download

## electric 9.06+dfsg

=== debian/changelog ===
electric (9.06+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 9.06+dfsg.
  * Use --download-current-version for get-orig-source target.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser field: Switch to cgit.
  * debian/control: Add all build-dependencies only to Build-Depends.
  * Install ElectricIcon64x64.png icon. Drop debian/icons directory.
    Convert ElectricIcon64x64.png with imagemagick to electric.xpm at
    build-time.
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Aug 2015 13:15:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  Markus Koschany <apo@gambaru.de>
 Build-Depends:
  ant,
+ bsh,
  debhelper (>= 9),
- javahelper
-Build-Depends-Indep:
- bsh,
  default-jdk,
+ imagemagick,
+ javahelper,
  jython,
  libjava3d-java,
  libslf4j-java,
  scala
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/electric.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/electric.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/electric.git
 Homepage: http://www.staticfreesoft.com/productsFree.html
 
 Package: electric

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 %:
 	dh $@ --parallel --with javahelper
 
+override_dh_auto_build:
+	dh_auto_build
+	convert -monitor -resize 32x32 ElectricIcon64x64.png debian/electric.xpm
+	cp ElectricIcon64x64.png debian/electric.png
 
 get-orig-source::
-	uscan --verbose --repack --force-download
+	uscan --verbose --repack --compression xz --force-download --download-current-version

## electric 9.07%2Bdfsg

=== debian/changelog ===
electric (9.07+dfsg-5) unstable; urgency=medium

  * Remove the export for JAVA_HOME too.

 -- Markus Koschany <apo@debian.org>  Tue, 01 May 2018 15:19:30 +0200

electric (9.07+dfsg-4) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Use default-jdk as build-dependency again. (Closes: #897323)

 -- Markus Koschany <apo@debian.org>  Tue, 01 May 2018 15:09:14 +0200

electric (9.07+dfsg-3) unstable; urgency=medium

  [ Markus Koschany ]
  * Add java9.patch and fix FTBFS with OpenJDK 9.
    Thanks to Chris West for the report (Closes: #873219)
  * Declare compliance with Debian Policy 4.1.1.
  * Remove the alternative dependency on java6-runtime because Java 6 is
    obsolete and no longer supported in Debian.
  * Update wrapper script and require Java 7 at least.
  * Build with OpenJDK 9.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Nov 2017 13:51:27 +0100

electric (9.07+dfsg-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Fix Vcs-Git URL
    '/git' was missing resulting in a 404

  [ Markus Koschany ]
  * Remove scala from Build-Depends because it is not strictly required.
    (Closes: #847297)
  * Declare compliance with Debian Policy 4.0.0.
  * Drop imagemagick from B-D and don't convert the icon to the deprecated xpm
    format.
  * Drop deprecated menu file.
  * Remove Version entry from electric.desktop.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Jun 2017 19:14:49 +0200

electric (9.07+dfsg-1) unstable; urgency=medium

  * New upstream version 9.07+dfsg.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-fields: Use https.
  * Update public signing-key.
  * Update my e-mail address.
  * electric wrapper: Try to find java6 runtime instead of openjdk.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 00:16:21 +0100

## electric 9.07+dfsg

=== debian/changelog ===
electric (9.07+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Address FTBFS on Java 17 due to type inference (Closes: #1011554)
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sat, 28 May 2022 12:25:17 -0700

electric (9.07+dfsg-6) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.
  * Remove get-orig-source target.

 -- Markus Koschany <apo@debian.org>  Sun, 15 Nov 2020 16:55:30 +0100

=== debian/control ===
Source: electric
Section: electronics
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Barak A. Pearlmutter <bap@debian.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 bsh,
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 jython,
 libjava3d-java,
 libslf4j-java
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/electric.git
Vcs-Browser: https://salsa.debian.org/java-team/electric
Homepage: http://www.staticfreesoft.com/productsFree.html

Package: electric
Architecture: all
Depends:
 default-jre | java7-runtime,
 java-wrappers,
 ${java:Depends},
 ${misc:Depends}
Description: electrical CAD system
 Electric is a sophisticated electrical CAD system that can handle many forms
 of circuit design, including custom IC layout (ASICs), schematic drawing,
 hardware description language specifications, and electro-mechanical hybrid
 layout.

=== debian/rules ===
#!/usr/bin/make -f
export CLASSPATH=/usr/share/java/bsh.jar:/usr/share/java/j3dcore.jar:/usr/share/java/j3dutils.jar:/usr/share/java/vecmath.jar:/usr/share/java/slf4j-simple.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/jython.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	dh_auto_build
	cp ElectricIcon64x64.png debian/electric.png
